%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}

Summary: Fam, the File Alteration Monitor
Name:    fam
Version: 2.7.0
Release: 2mdk
Group:   Monitoring
License: GPL/LGPL
URL:     http://oss.sgi.com/projects/fam/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source:  ftp://oss.sgi.com/projects/fam/download/stable/fam-%{version}.tar.bz2
# (fc) 2.6.4-5mdk use dnotify kernel service (Rawhide)
Patch0:  fam-2.7.0-dnotify.patch.bz2
# (fc) 2.6.7-3mdk clean /tmp when done (Rawhide)
Patch7:  fam-2.7.0-cleanup.patch.bz2
# (fc) 2.6.9-4mdk large file support (rawhide)
Patch9:  fam-2.7.0-largefile.patch.bz2
# (fc) 2.6.10-5mdk Use getgrouplist (rawhide)
Patch10: fam-2.7.0-getgrouplist.patch.bz2

BuildRequires: automake1.7

Requires: xinetd >= 2.1.8.9pre15-2mdk portmap

%description
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

%package -n %{lib_name}
Summary:	Libraries for FAM
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{lib_name}
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains library used by fam daemon.

%package -n %{lib_name}-devel

Summary:	Libraries and headers for FAM
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains headers and libraries to develop applications 
which use fam.

%prep
%setup -q
%patch0 -p1 -b .dnotify
%patch7 -p1 -b .clean
%patch9 -p1 -b .largefile
%patch10 -p1 -b .getgrouplist


#needed by patch 0, 1, 9
rm -f configure
libtoolize --force
aclocal-1.7
autoconf
autoheader
automake-1.7 --add-missing


%build
%serverbuild
CFLAGS="$RPM_OPT_FLAGS -DHAVE_GETGROUPLIST" CXXFLAGS="$RPM_OPT_FLAGS -DHAVE_GETGROUPLIST" %configure2_5x
%make

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/

cat <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/fam
# default: on
# description: FAM is a file monitoring daemon. It can \
# be used to get reports when files change.

service sgi_fam
{
    disable             = no
    type                = RPC UNLISTED
    rpc_version         = 2
    rpc_number          = 391002
    socket_type         = stream
    protocol            = tcp
    wait                = yes
    user                = root
    group               = nogroup
    server              = /usr/sbin/famd
    bind                = 127.0.0.1
    flags               = NOLIBWRAP
}

EOF

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/fam/editconf.perl

%clean
rm -fr $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%post 
killall -q -HUP xinetd || true

%postun
killall -q -HUP xinetd || true

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL README TODO
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%config(noreplace) %{_sysconfdir}/fam.conf
%{_sbindir}/famd
%{_mandir}/man8/*
%{_mandir}/man5/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man3/*


%changelog  
* Thu Jun  3 2004 Laurent Montel <lmontel@mandrakesoft.com> 2.7.0-2mdk
- Rebuild against new gcc


* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.7.0-1mdk
- New release 2.7.0
- Regenerate patches 0, 7, 9, 10 (from Debian) 
- Remove patch1 (no longer needed)

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.10-9mdk
- Update patch0, fix fd leaks (Alex)

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.10-8mdk
- Fix sgi_fam setup (add NOLIBWRAP to flags) (Steve G)

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.10-7mdk
- Send right signal to xinetd (rawhide)

* Tue Aug  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.6.10-6mdk
- Update patch 0, performance improvement (RH bug #99364)

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.6.10-5mdk
- Patch10 (rawhide): Use getgrouplist

* Wed Jul 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.10-3mdk
- Rebuild
- Fix provides

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.10-2mdk
- Rebuild

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.6.10-1mdk
- Release 2.6.10
- Remove patch8 (merged upstream)

* Fri Jan 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.9-5mdk
- Update patch0 : link the daemon against -lrt and -lpthread for DNotify
  to use the right implementation of SIGRTMIN (Debian #157031)

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.9-4mdk
- Patch9 (rawhide) : add large file support

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.9-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.9-2mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.9-1mdk
- Release 2.6.9

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.8-3mdk
- Fix install scripts again (reported by Dadou)

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.8-2mdk
- Fix install scripts

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.8-1mdk
- Release 2.6.8
- Update patch 0 with latest rawhide version 
- Remove patches 5 & 6 (merged upstream)

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.7-6mdk
- Rebuild with libstdc++3.1
- Add patch8 from Rawhide fix compile with libstdc++3.1 and gcc3.1


* Thu Feb 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.7-5mdk
- Fix build to really use dnotify instead of polling (I suck...)

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.7-4mdk
- Fix xinetd config file to use nogroup instead of nobody

* Tue Jan 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.7-3mdk
- Patch7 (Rawhide) : clean /tmp when done

* Thu Jan 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.7-2mdk
- Patch6: link library with libstdc++

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.7-1mdk
- Release 2.6.7
- Remove patches 3 & 4 (merged upstream)

* Tue Dec  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.6-1mdk
- Release 2.6.6 (sync with rawhide 2.6.6-1)
- Regenerate patch 0 (rawhide), 3 (rawhide)
- Patch4 (rawhide) : Don't fill error log with broken pipe errors
- Patch5 (rawhide) : clean build
- Remove patch 2 (merged upstream)

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-7mdk
- Patch3 (rawhide 2.6.4-14) : Fix race condition
- Libification

* Tue Sep 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-6mdk
- Add dependency on portmap
- Patch2 (rawhide): fixes problem when several different users connect to fam.
- Update patch0 with latest rawhide patch

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-5mdk
- Add description and change rpc_version used by fam (workaround for xinetd bug)

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-4mdk
- Sync with Rawhide spec :
 - no longer modify /etc/rpc
 - patch 0: replace by dnotify support
 - patch 1: don't touch system file at compilation stage


* Tue Jun 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-3mdk
- Add requires on xinetd

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk
- Add script command to modify /etc/rpc

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-1mdk
- Patch0: compile with latest gcc/glibc
- First Mandrake package
